package com.hzya.frame.sys.templateViewAccredit.dao;

import com.hzya.frame.sys.templateViewAccredit.entity.TemplateViewAccredit;
import java.util.List;

/**
 * @description: 模板视图授权表  dao
 * @tableName: sys_template_view_accredit 
 * @entityName: TemplateViewAccredit
 * @author: gjh
 * @history: 1.0
 */
public interface ITemplateViewAccreditMapper {

        //通过ID获取数据    entity_get
        TemplateViewAccredit entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<TemplateViewAccredit> entity_list_base(TemplateViewAccredit entity);

        //  查询符合条件的数量
        Integer entity_count(TemplateViewAccredit entity);

        //分页查询列表 采用like格式 entity_list_like
        List<TemplateViewAccredit> entity_list_like(TemplateViewAccredit entity);

        //查询列表 字段采用or格式   entity_list_or
        List<TemplateViewAccredit> entity_list_or(TemplateViewAccredit entity);

        //新增  entity_insert
        Integer entity_insert(TemplateViewAccredit entity);

        //修改  entity_update
        Integer entity_update(TemplateViewAccredit entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(TemplateViewAccredit entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(TemplateViewAccredit entity);

        //物理删除
        Integer entity_delete(TemplateViewAccredit entity);


}
